bcron (0.11-7) unstable; urgency=medium

  * Fix spurious failures in `postinst' maintainer script
  * Move inactive Gerrit Pape maintainer to uploaders list,
    set myself as maintainer (Closes: #907083)

 -- Dmitry Bogatov <KAction@debian.org>  Tue, 22 Jan 2019 21:42:06 +0000

bcron (0.11-6) unstable; urgency=medium

  * Upload to unstable
  * Add missing dependency on $local_fs in initscripts

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 19 Jan 2019 03:32:31 +0000

bcron (0.11-5) experimental; urgency=medium

  * Create sysvinit scripts (Closes: #916295)
  * Update standards version to 4.3.0 (no changes needed)
  * Remove outdated comment in `debian/rules'

 -- Dmitry Bogatov <KAction@debian.org>  Thu, 17 Jan 2019 00:48:51 +0000

bcron (0.11-4) experimental; urgency=medium

  * Build-Depends on latest version of dh-runit, that ensures
    presence of `/etc/runit/runsvdir/default' directory.
  * Fix `postinst' maintainer script (Closes: #916737)
  * Update Vcs-* fields in `debian/control'
  * Fix broken symlink (Closes: #858505)
  * Remove redundant sentence from package long description

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 19 Dec 2018 06:56:59 +0000

bcron (0.11-3) experimental; urgency=medium

  * Merge `bcron' and `bcron-run' package
  * Add apporiate conflict with old revisions of `runit'
  * Make upstream signing key in `debian/upstream' minimal

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 16 Dec 2018 10:12:58 +0000

bcron (0.11-2) unstable; urgency=medium

  * Refresh patches
  * Bump standards version to 4.2.1 (no changes needed)
  * Use https version of upstream website
  * Bump compat version to 11 (no changes needed)
  * Use https when referring to copyright format
  * wrap-and-sort -sta
  * Fix debian/copyright
  * Remove disabled patch 0002-Spool-socket-is-var-run-...
  * Update Vcs-* fields in debian/control
  * Do not run tests if DEB_BUILD_OPTIONS contains 'nocheck'

 -- Dmitry Bogatov <KAction@gnu.org>  Mon, 15 Oct 2018 18:29:48 +0000

bcron (0.11-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add tzdata to build-depends to make sure test suite is executed
    correctly (Closes: #897519).

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 11 May 2018 12:42:54 +0200

bcron (0.11-1.1) unstable; urgency=medium

  * Non-maintainer uppload
  * Upload to unstable
  * Disable crontab new test, requiring too many tools and tweaks to work
    (Closes: #839443)
  * Install groff package to fix build failure (Closes: #875825)
  * Update std-version to 4.1.2, no changes required
  * Update copyright file (Closes: #880555)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 13 Dec 2017 11:12:18 +0100

bcron (0.11-1) experimental; urgency=medium

  * New upstream release
  * Force dependency on bglibs-2.*
  * Refresh patches
  * Do not assume ${USER} value in tests.sh
  * Restore default bcron-spool socket location
    (Drop 0002-Spool-socket-is-var-run-.bcron-spool-instead-of-var-r.diff)
  * Enable hardening=+pie

 -- Dmitry Bogatov <KAction@gnu.org>  Sun, 12 Feb 2017 07:42:37 +0300

bcron (0.10-4) unstable; urgency=medium

  * Write debian/watch
  * Change source package format to quilt, remove manual patches
    application
  * Convert package to use debhelper
  * Use `dh-runit' to install runit scripts and generate log scripts
    (Closes: #832656)
  * Use `dh-buildinfo' to simplify tracking bugs, related to build-tools
  * Avoid need of hand-written maintainer scripts by
    use of `dh-runit' and `dh-sysuser'
  * Drop dietlibc-dev from Build-Depends for now. (Libraries
    depended upon are not compiled for dietlibc anymore.)
  * Remove no longer needed README files
  * Move 'debian/crontab' into 'debian/contrib' for more clean package layout
  * Enable hardening
  * Fix @dircategory in texinfo manual
  * Install `doc-base' document
  * Add Homepage field
  * Bump standards version to 3.9.8 (no changes needed)
  * Remove Section field from `bcron-run' field, since it duplicated one
    defined in first paragraph.
  * Update Vcs-Git and Vcs-Browser fields
  * Convert `debian/copyrigh' to dep5 format
  * Use S:fieldname substitution to avoid duplication in `debian/control'.
    + Add versioned dependency on (dpkg-dev >= 1.18.11)
  * Disable unreliable tests (see: #835274)

 -- Dmitry Bogatov <KAction@gnu.org>  Tue, 23 Aug 2016 15:42:04 +0300

bcron (0.10-3) unstable; urgency=medium

  * debian/control: Revert bcron-run: Provides:, Replaces:, Conflicts:
    cron-daemon instead of cron (thx Russ Allbery).
  * debian/control: Provides: cron, cron-daemon.

 -- Gerrit Pape <pape@smarden.org>  Sat, 18 Oct 2014 19:45:39 +0000

bcron (0.10-2) unstable; urgency=low

  * debian/control: bcron-run: Provides:, Replaces:, Conflicts:
    cron-daemon instead of cron (thx Alexandre Detiste, closes: 752506).
  * debian/diff/0006-tests.sh-skip-tests-exec-fds-tests-exec-sim...diff:
    new: tests.sh: skip tests/exec-fds, tests/exec-simple if $HOME does
    not exist.

 -- Gerrit Pape <pape@smarden.org>  Mon, 11 Aug 2014 19:11:21 +0000

bcron (0.10-1) unstable; urgency=low

  * new upstream release 0.10.
    * debian/diff/0004-bcron-exec.c-fix-typo-...diff: remove; fixed
      upstream.
    * debian/diff/0006-tests.sh-export-TZ-CST0-trailing-...diff: remove;
      obsolete.
    * debian/diff/0007-tests.sh-*.diff, 0008-bcron-exec-...diff: remove;
      applied upstream.
  * debian/control: Build-Depends: python, man2html, texinfo.
  * debian/diff/0001-...diff: adapt: remove *.html from TARGET to keep
    them on make clean.
  * debian/rules: ./ChangeLog no longer shipped by upstream, use NEWS.
  * debian/bcron-run.postinst: don't use update-service --add on package
    upgrade; use sv t to restart services on package upgrade.
  * debian/bcron-run.postinst: remove code for package upgrade from
    version 0.09-8 or earlier.
  * debian/control: remove version (>= 1.8.0-2) from Depends: runit.
  * debian/bcron-run.postrm: purge: use sv force-shutdown instead of
    force-stop to take down services; guard deluser against failure.
  * debian/rules: echo /usr/share/doc >conf-man; no longer install man
    pages explicitly.
  * debian/diff/0005-Makefile-don-t-use-Wl-R-bglibs-when-linking...diff:
    new: Makefile: don't use -Wl,-R'$${bglibs}' when linking programs.
  * debian/control: Standards-Version: 3.9.5.0.

 -- Gerrit Pape <pape@smarden.org>  Sun, 10 Aug 2014 14:16:45 +0000

bcron (0.09-13) unstable; urgency=medium

  * debian/diff/0008-bcron-exec-Mark-all-temporary-files-close-...diff:
    new; from upstream git; bcron-exec: Mark all temporary files
    close-on-exec and close selfpipe; this fixes a security bug in
    bcron where cron jobs get access to the temporary output files from
    all other jobs that are still running (closes: #686650).

 -- Gerrit Pape <pape@smarden.org>  Wed, 16 Jan 2013 10:13:37 +0000

bcron (0.09-12) unstable; urgency=low

  * debian/rules, debian/bcron.README.Debian: no longer install the
    bcron.info file (closes: #528865).
  * debian/control: bcron: Recommends: default-mta |
    mail-transport-agent; bcron-run: Depends: default-mta |
    mail-transport-agent (thx Jonathan Nieder; closes: #495834).
  * debian/control: Standards-Version: 3.9.2.0.

 -- Gerrit Pape <pape@smarden.org>  Thu, 20 Oct 2011 12:41:01 +0000

bcron (0.09-11) unstable; urgency=low

  * debian/bcron-run.postrm: services' supervise dirs are now located in
    /var/lib/supervise/, remove those on purge.
  * debian/rules: no longer include named pipe /var/spool/cron/trigger
    in the bcron-run packages (closes: #552687).
  * debian/bcron-run.postinst: create named pipe /var/spool/cron/trigger
    if it doesn't exist yet, error out if it exists but is not a fifo.
  * debian/bcron-run.postrm: remove /var/spool/cron/trigger on purge.
  * debian/control: Standards-Version: 3.8.3.0.

 -- Gerrit Pape <pape@smarden.org>  Sun, 01 Nov 2009 22:50:15 +0000

bcron (0.09-10) unstable; urgency=low

  * debian/control: Build-Depends: libbg1-dev (closes: #482516).

 -- Gerrit Pape <pape@smarden.org>  Sun, 25 May 2008 16:15:18 +0000

bcron (0.09-9) unstable; urgency=low

  * debian/bcron-run.postinst, debian/bcron-run.prerm: use runit's
    update-service program to add/remove services from system-wide service
    supervision, instead of dealing with symlinks in /var/service/ directly.
  * debian/control: package bcron-run: Depends: runit (>= 1.8.0-2) (1st
    version that provides the update-service program).
  * debian/rules: no longer include dangling links for ./supervise/
    subdirectories, update-service now takes care of this.
  * debian/bcron-run.postinst: remove bcron service on upgrade from
    <= 0.09-8, and re-add afterwards through update-service.
  * debian/bcron-run.postrm: purge: adapt paths in /var/run/; force-stop bcron
    services; remove ./supervise/ subdirectories (or symlinks) in service
    directories.
  * debian/control: add Vcs-Git: http://smarden.org/git/bcron.git/.
  * debian/control: Standards-Version: 3.7.3.0.

 -- Gerrit Pape <pape@smarden.org>  Wed, 13 Feb 2008 22:55:42 +0000

bcron (0.09-8) unstable; urgency=medium

  * debian/diff/*: redo diffs with git.
  * debian/rules: apply diffs from debian/diff with patch -p1, not -p0.
  * debian/diff/0006-tests.sh-export-TZ-CST0-trailing-zero-to-make-new.diff:
    new; export TZ=CST0 (trailing zero) in selftests to make new glibc in
    sid happy (closes: #422125).
  * debian/diff/0007-tests.sh-replace-bashism-let-with-posix-arithmetic.diff:
    new; replace bashism 'let' in selftests with posix arithmetic expansions
    $(( )).

 -- Gerrit Pape <pape@smarden.org>  Tue, 08 May 2007 17:45:32 +0000

bcron (0.09-7) unstable; urgency=medium

  * debian/bcron-run.postrm: check for deluser being available, if not,
    print warning and don't remove system users (ref: #398539).

 -- Gerrit Pape <pape@smarden.org>  Fri, 17 Nov 2006 20:12:14 +0000

bcron (0.09-6) unstable; urgency=low

  * debian/bcron-run.postinst: don't make the log service system user
    cronlog member of group adm, but nogroup; cronlog's home directory is
    /nonexistent; make log directories mode 2750, owner cronlog:adm
    (closes: #396687).

 -- Gerrit Pape <pape@smarden.org>  Mon,  6 Nov 2006 20:18:51 +0000

bcron (0.09-5) unstable; urgency=low

  * debian/control: Build-Depends: bglibs-dev (>> 1.041-1) (closes:
    #376244); bcron-run: Suggests: anacron (closes: #375078).

 -- Gerrit Pape <pape@smarden.org>  Thu, 13 Jul 2006 18:51:24 +0000

bcron (0.09-4) unstable; urgency=low

  * debian/diff/initgroups.diff: new; bcron-exec: setup group membership
    properly (thx Joshua N Pritikin, closes: #352159).
  * debian/implicit: update to revision 1.11.

 -- Gerrit Pape <pape@smarden.org>  Sat,  4 Mar 2006 00:25:03 +0000

bcron (0.09-3) unstable; urgency=low

  * debian/bcron-run.postrm: typo; minor.
  * debian/bcron-run.postinst, debian/bcron-run.README.Debian,
    debian/bcron-run.prerm: use sv program instead of runsvctrl, runsvstat,
    svwaitdown.
  * debian/control: bcron-run Depends: runit (>> 1.3.0-0).

 -- Gerrit Pape <pape@smarden.org>  Wed, 12 Oct 2005 10:23:04 +0000

bcron (0.09-2) unstable; urgency=low

  * debian/diff/bcron-spool-socket.diff: new; change path to bcron-spool
    socket to /var/run/.bcron-spool (thx Tommi Virtanen, closes: #321383).

 -- Gerrit Pape <pape@smarden.org>  Fri,  5 Aug 2005 17:33:30 +0000

bcron (0.09-1) unstable; urgency=low

  * new upstream version.
  * debian/diff/var-run-.bcron-spool.diff, debian/diff/man.diff: remove;
    adopted upstream.
  * debian/rules: install-arch: use $install_prefix with new bg-installer;
    build-arch: run selftests.
  * debian/control: Standards-Version: 3.6.2.0; Build-Depends: bglibs-dev
    (>> 1.021-0).
  * debian/diff/tests.diff: new; skip non-root-only spool-*-baduser tests.

 -- Gerrit Pape <pape@smarden.org>  Wed, 20 Jul 2005 20:51:18 +0000

bcron (0.08-0.3) unstable; urgency=low

  * initial version (closes: #302309).

 -- Gerrit Pape <pape@smarden.org>  Sun, 10 Apr 2005 10:02:48 +0000
